Bug 204280 - Should include aoTuV Release 1 patch
Should include aoTuV Release 1 patch
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libvorbis (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-28 03:51 EDT by Fabio Pedretti
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 05:31:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Pedretti 2006-08-28 03:51:56 EDT
Would be nice to include aoTuV [1] Release 1 patch to libvorbis. aoTuV is an
improved libvorbis encoder, that, while keeping ABI compatibility, gives many
improvements:
* better quality at all bitrates versus libvorbis-1.1.2 [2], giving aoTuV better
quality than other codecs (AAC, MP3, MPC, WMA, ...) [3];
* support of quality down to -2 (32kb/s at 44kHz stereo), versus -1 (45kb/s at
44kHz stereo) of libvorbis-1.1.x;
* encoding speed 10% better thanks to the included Vorbis-OptSort patch (improve
sorting);

aoTuV Release 1 have just been released. aoTuV Release 1 is the same as of
beta4.51 (released on 2005-11), renamed after lot of testing from the audio
community (especially on hydrogenaudio forum [4]) confirmed its quality /
stability, and now this is the recommended vorbis encoder [5].

[1] aoTuV site: http://www.geocities.jp/aoyoume/aotuv/
[2] comparison of aoTuV beta 4 vs libvorbis-1.1.x:
http://wiki.xiph.org/index.php/VorbisEncoders
[3] Wikipedia test of vorbis vs other codecs:
http://en.wikipedia.org/wiki/Vorbis#Codec_comparisons
[4] hydrogenaudio forum: http://www.hydrogenaudio.org
[5] Recommended Ogg Vorbis:
http://wiki.hydrogenaudio.org/index.php?title=Recommended_Ogg_Vorbis
Comment 1 Matthew Miller 2007-04-06 15:20:40 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Hans de Goede 2007-10-21 10:47:51 EDT
Bumping to devel as this still applies to the current libvorbis, I'll contact
upstream about this, as I do not know what is wise todo here.
Comment 3 Hans de Goede 2007-10-21 11:31:01 EDT
Info request files upstream:
https://trac.xiph.org/ticket/1251
Comment 4 Hans de Goede 2007-10-22 05:31:15 EDT
Upstream has pointed me to the logs of this irc meeting:
http://people.xiph.org/~giles/2007/200702_meeting.txt

Quoting the relevant part:
<rillian> xiphmont: can you comment on your interest in merging the aoTuV 1
release into the reference vorbis encoder?
<xiphmont> rillian: sure
<xiphmont> I would like to do so, honestly, but not as a blind merge.  Int he
past two merges I found code that was either malfunctioning or not doing what
Aoyumi expected.
<xiphmont> So, the code review aspect was helpful to us both.
<xiphmont> That said, it's the only caveat; Aoyumi does good work and is happy
to see us adopt it.
<_Ivo> great to hear
<xiphmont> that said, it's a taks that requires uninterrupted time, something I
don't have alot of.

Notice that <xiphmont> is a RedHat employee I think (the pulseaudio maintainer),
but I don't think its fair to just reassign this to him, so I'm closing this
with a resolution of upstream.

Notice that I will not integrate these patches as is, quoting upstream on this:
"I would like to do so, honestly, but not as a blind merge"

Note You need to log in before you can comment on or make changes to this bug.